Bug 33487 - 'CS1591' is not a valid warning number (CS1904)
Summary: 'CS1591' is not a valid warning number (CS1904)
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-08-29 09:31 UTC by grokys
Modified: 2017-01-17 14:08 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description grokys 2015-08-29 09:31:01 UTC
I'm using mono 4.2 from the alpha channel.

When compiling https://github.com/grokys/Perspex/ (commit 845b28a2c2ce858786bb11e1aa413916b2bb061d) in monodevelop I get the error:

    'CS1591' is not a valid warning number (CS1904)
Comment 1 Marek Safar 2015-08-31 08:17:07 UTC
Fixed in master and next 4.2 alpha
Comment 2 grokys 2016-02-18 18:47:33 UTC
This appears to still be a problem in 4.2.2:

/Library/Frameworks/Mono.framework/Versions/4.2.2/lib/mono/4.5/Microsoft.CSharp.
targets (CoreCompile target) ->

    CSC: error CS1904: `CS1591' is not a valid warning number

     0 Warning(s)
     1 Error(s)
Comment 3 Marek Safar 2016-02-19 16:28:23 UTC
This fix is still only available in master and Mono 4.3.2 previews
Comment 4 Jamie Lord 2017-01-17 14:08:54 UTC
I'm currently experiencing the same thing with an up-to-date version of Xamarin and the latest version of Mono (4.6.2).

Is there any way to resolve this?